Bug 479642 - cannot activate wlan0
cannot activate wlan0
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: iwl3945-firmware (Show other bugs)
9
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 05:40 EST by Marco
Modified: 2009-04-12 13:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-12 13:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco 2009-01-12 05:40:00 EST
Description of problem:
----------------
Can't connect to wlan0. I get the message:
"Cannot activate network device wlan0!
Device wlan0 does not seem to be present, delaying initialization. "

Version-Release number of selected component (if applicable): 3945ABG
----------------
0b:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

How reproducible:
----------------
When activating wlan0, the error message is displayed and the wi-fi doesn't connect.

Steps to Reproduce:
----------------
1. system-config-network
2. select wlan and activate
3. error message
  
Actual results:
----------------
Wlan doesn't work.

Expected results:
----------------
Wlan0 should work out of the box.

Additional info:
----------------
Messages tracked on dmesg:
iwl3945 0000:0b:00.0: enabling device (0000 -> 0002)
iwl3945 0000:0b:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:0b:00.0: setting latency timer to 64
iwl3945: Detected Intel Wireless WiFi Link 3945ABG
i801_smbus 0000:00:1f.3: PCI INT B -> GSI 17 (level, low) -> IRQ 17
iwl3945: Error: saturation power is -1, less than minimum expected 40
iwl3945: Invalid power index
iwl3945: initializing regulatory failed: -5
iwl3945 0000:0b:00.0: PCI INT A disabled
iwl3945: probe of 0000:0b:00.0 failed with error -5

Thread on FedoraForum: 
http://forums.fedoraforum.org/showthread.php?p=1146142#post1146142
Comment 1 Marco 2009-02-06 09:45:46 EST
Kernel upgraded to 2.6.27.12-78.2.8.fc9.i686

Still same issue. Help?
Comment 2 Matthias Saou 2009-04-12 13:00:03 EDT
This is not a firmware package problem. Please re-file against the kernel if you still have the issue.

Note You need to log in before you can comment on or make changes to this bug.